Skip to content

Perform various operations on Collection Package (CP) work card records.

Operations

getCpWorkCard

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getCpWorkCard
POST /nexum/627/2022.01/account/getCpWorkCard HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CpWorkCardLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCpWorkCardSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getCpWorkCardSelectFields
POST /nexum/627/2022.01/account/getCpWorkCardSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "SelectableFields": {
    "IncludeAllCpWorkCardFields": false,
    "CpWorkCardFields": {
      "Locator": true,
      "Type": true,
      "Active": true,
      "Priority": true,
      "LastWorkDate": true,
      "NextWorkDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCpWorkCardSelectFieldsFilterChildren

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getCpWorkCardSelectFieldsFilterChildren
POST /nexum/627/2022.01/account/getCpWorkCardSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CpWorkCardLocator": 0,
  "SelectableFields": {
    "IncludeAllCpWorkCardFields": true,
    "CpWorkCardFields": {
      "Active": true,
      "CloseDate": true,
      "FmLastDate": true,
      "LastCollectorId": true,
      "LastWorkDate": true,
      "LastWorktime": true,
      "Locator": true,
      "NextWorkDate": true,
      "NotePurgeDate": true,
      "Priority": true,
      "RecordChangeDate": true,
      "SecCollectorId": [
        0
      ],
      "SecPriority": [
        0
      ],
      "Type": true
    },
    "CpWorkCardNoteSelectableFields": {
      "IncludeAllCpWorkCardNoteFields": true,
      "CpWorkCardNoteFields": {
        "Code": true,
        "EnterDate": true,
        "EnterTime": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "Text": [
          0
        ],
        "TextLineCount": true,
        "UserId": true,
        "VoidFlag": true,
        "VoidedBy": true
      }
    },
    "CpWorkCardTrackingSelectableFields": {
      "IncludeAllCpWorkCardTrackingFields": true,
      "CpWorkCardTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "CpWorkCardNoteFilter": {
      "Query": "string"
    },
    "CpWorkCardTrackingFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCpWorkCardPagedList

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getCpWorkCardPagedList
POST /nexum/627/2022.01/account/getCpWorkCardPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCpWorkCardListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getCpWorkCardListSelectFields
POST /nexum/627/2022.01/account/getCpWorkCardListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SelectableFields": {
    "IncludeAllCpWorkCardFields": true,
    "CpWorkCardFields": {
      "Active": true,
      "CloseDate": true,
      "FmLastDate": true,
      "LastCollectorId": true,
      "LastWorkDate": true,
      "LastWorktime": true,
      "Locator": true,
      "NextWorkDate": true,
      "NotePurgeDate": true,
      "Priority": true,
      "RecordChangeDate": true,
      "SecCollectorId": [
        0
      ],
      "SecPriority": [
        0
      ],
      "Type": true
    },
    "CpWorkCardNoteSelectableFields": {
      "IncludeAllCpWorkCardNoteFields": true,
      "CpWorkCardNoteFields": {
        "Code": true,
        "EnterDate": true,
        "EnterTime": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "Text": [
          0
        ],
        "TextLineCount": true,
        "UserId": true,
        "VoidFlag": true,
        "VoidedBy": true
      }
    },
    "CpWorkCardTrackingSelectableFields": {
      "IncludeAllCpWorkCardTrackingFields": true,
      "CpWorkCardTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCpWorkCardSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchCpWorkCardSelectFields
POST /nexum/627/2022.01/account/searchCpWorkCardSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SelectableFields": {
    "IncludeAllCpWorkCardFields": true,
    "CpWorkCardFields": {
      "Active": true,
      "CloseDate": true,
      "FmLastDate": true,
      "LastCollectorId": true,
      "LastWorkDate": true,
      "LastWorktime": true,
      "Locator": true,
      "NextWorkDate": true,
      "NotePurgeDate": true,
      "Priority": true,
      "RecordChangeDate": true,
      "SecCollectorId": [
        0
      ],
      "SecPriority": [
        0
      ],
      "Type": true
    },
    "CpWorkCardNoteSelectableFields": {
      "IncludeAllCpWorkCardNoteFields": true,
      "CpWorkCardNoteFields": {
        "Code": true,
        "EnterDate": true,
        "EnterTime": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "Text": [
          0
        ],
        "TextLineCount": true,
        "UserId": true,
        "VoidFlag": true,
        "VoidedBy": true
      }
    },
    "CpWorkCardTrackingSelectableFields": {
      "IncludeAllCpWorkCardTrackingFields": true,
      "CpWorkCardTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "SearchFilter": {
    "Query": "string",
    "CpWorkCardChildrenFilter": {
      "CpWorkCardNoteFilter": {
        "Query": "string"
      },
      "CpWorkCardTrackingFilter": {
        "Query": "string"
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCpWorkCardPagedListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getCpWorkCardPagedListSelectFields
POST /nexum/627/2022.01/account/getCpWorkCardPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCpWorkCardFields": false,
    "CpWorkCardFields": {
      "Locator": true,
      "Type": true,
      "Active": true,
      "Priority": true,
      "LastWorkDate": true,
      "NextWorkDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchCpWorkCardPagedSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchCpWorkCardPagedSelectFields
POST /nexum/627/2022.01/account/searchCpWorkCardPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCpWorkCardFields": false,
    "CpWorkCardFields": {
      "Locator": true,
      "Type": true,
      "Active": true,
      "Priority": true,
      "LastWorkDate": true,
      "NextWorkDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCpWorkCardNote

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
CpWorkCardNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getCpWorkCardNote
POST /nexum/627/2022.01/account/getCpWorkCardNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CpWorkCardLocator": 0,
  "CpWorkCardNoteLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCpWorkCardNoteSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
CpWorkCardNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getCpWorkCardNoteSelectFields
POST /nexum/627/2022.01/account/getCpWorkCardNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "CpWorkCardNoteLocator": 0,
  "SelectableFields": {
    "IncludeAllCpWorkCardNoteFields": false,
    "CpWorkCardNoteFields": {
      "Locator": true,
      "Code": true,
      "EnterDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCpWorkCardNotePagedList

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getCpWorkCardNotePagedList
POST /nexum/627/2022.01/account/getCpWorkCardNotePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CpWorkCardLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCpWorkCardNoteListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getCpWorkCardNoteListSelectFields
POST /nexum/627/2022.01/account/getCpWorkCardNoteListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CpWorkCardLocator": 0,
  "SelectableFields": {
    "IncludeAllCpWorkCardNoteFields": true,
    "CpWorkCardNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCpWorkCardNoteSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchCpWorkCardNoteSelectFields
POST /nexum/627/2022.01/account/searchCpWorkCardNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CpWorkCardLocator": 0,
  "SelectableFields": {
    "IncludeAllCpWorkCardNoteFields": true,
    "CpWorkCardNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCpWorkCardNotePagedListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getCpWorkCardNotePagedListSelectFields
POST /nexum/627/2022.01/account/getCpWorkCardNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCpWorkCardNoteFields": false,
    "CpWorkCardNoteFields": {
      "Locator": true,
      "Code": true,
      "EnterDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchCpWorkCardNotePagedSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchCpWorkCardNotePagedSelectFields
POST /nexum/627/2022.01/account/searchCpWorkCardNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCpWorkCardNoteFields": false,
    "CpWorkCardNoteFields": {
      "Locator": true,
      "Code": true,
      "EnterDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCpWorkCardTracking

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
CpWorkCardTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getCpWorkCardTracking
POST /nexum/627/2022.01/account/getCpWorkCardTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CpWorkCardLocator": 0,
  "CpWorkCardTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCpWorkCardTrackingSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
CpWorkCardTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getCpWorkCardTrackingSelectFields
POST /nexum/627/2022.01/account/getCpWorkCardTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CpWorkCardLocator": 0,
  "CpWorkCardTrackingLocator": 0,
  "SelectableFields": {
    "IncludeAllCpWorkCardTrackingFields": true,
    "CpWorkCardTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCpWorkCardTrackingPagedList

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getCpWorkCardTrackingPagedList
POST /nexum/627/2022.01/account/getCpWorkCardTrackingPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CpWorkCardLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCpWorkCardTrackingListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getCpWorkCardTrackingListSelectFields
POST /nexum/627/2022.01/account/getCpWorkCardTrackingListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CpWorkCardLocator": 0,
  "SelectableFields": {
    "IncludeAllCpWorkCardTrackingFields": true,
    "CpWorkCardTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCpWorkCardTrackingSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchCpWorkCardTrackingSelectFields
POST /nexum/627/2022.01/account/searchCpWorkCardTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CpWorkCardLocator": 0,
  "SelectableFields": {
    "IncludeAllCpWorkCardTrackingFields": true,
    "CpWorkCardTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCpWorkCardTrackingPagedListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getCpWorkCardTrackingPagedListSelectFields
POST /nexum/627/2022.01/account/getCpWorkCardTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCpWorkCardTrackingFields": false,
    "CpWorkCardTrackingFields": {
      "Locator": true,
      "Type": true,
      "UserChar1": true,
      "UserAmount1": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchCpWorkCardTrackingPagedSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchCpWorkCardTrackingPagedSelectFields
POST /nexum/627/2022.01/account/searchCpWorkCardTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCpWorkCardTrackingFields": false,
    "CpWorkCardTrackingFields": {
      "Locator": true,
      "Type": true,
      "UserChar1": true,
      "UserAmount1": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCpWorkCardByID

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CpWorkCardLocatorintegeroptional
AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/updateCpWorkCardByID
POST /nexum/627/2022.01/account/updateCpWorkCardByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CpWorkCardLocator": 0,
  "CpWorkCardUpdatableFields": {
    "Type": 0,
    "Priority": "0",
    "LastCollectorId": 0
  },
  "CpWorkCardTrackingUpdateRequest": [],
  "AccountNumber": "0000000000",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCpWorkCardTrackingByID

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CpWorkCardTrackingLocatorintegeroptional
AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/updateCpWorkCardTrackingByID
POST /nexum/627/2022.01/account/updateCpWorkCardTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CpWorkCardTrackingLocator": 0,
  "CpWorkCardTrackingUpdatableFields": {
    "Type": 0,
    "Priority": "0",
    "LastCollectorId": 0
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCpWorkCard

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
CpWorkCardLocatorintegeroptional
POST/nexum/{sym}/2022.01/account/createCpWorkCard
POST /nexum/627/2022.01/account/createCpWorkCard HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CpWorkCardCreatableFields": {
    "Type": 0,
    "Priority": "0",
    "LastCollectorId": 0
  },
  "AccountNumber": "0000000000",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCpWorkCardNote

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
CpWorkCardNoteLocatorintegeroptional
POST/nexum/{sym}/2022.01/account/createCpWorkCardNote
POST /nexum/627/2022.01/account/createCpWorkCardNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CpWorkCardNoteCreatableFields": {
    "Type": 0,
    "Priority": "0",
    "LastCollectorId": 0
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCpWorkCardTracking

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
CpWorkCardTrackingLocatorintegeroptional
POST/nexum/{sym}/2022.01/account/createCpWorkCardTracking
POST /nexum/627/2022.01/account/createCpWorkCardTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CpWorkCardTrackingCreatableFields": {
    "Type": 0,
    "Priority": "0",
    "LastCollectorId": 0
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCpWorkCard

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/account/deleteCpWorkCard
POST /nexum/627/2022.01/account/deleteCpWorkCard HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCpWorkCardTracking

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
CpWorkCardTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/account/deleteCpWorkCardTracking
POST /nexum/627/2022.01/account/deleteCpWorkCardTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "CpWorkCardTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}